Subject: bison.simple
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jun 2001 16:42:30 +0200

> At 12:24 PM 2/1/2001, Ludovic DELAMOTTE wrote:
> 
> >I think there's a problem in bison.simple of B20.
> >
> >I want to give parameters to the function yyparse(), so I wrote:
> >#define YYPARSE_PARAM   cfg
> >
> >After running bison, I obtained the message :
> >"bison.simple:219: number of arguments doesn't match prototype"
> >
> >however, the SAME program compiles under Linux with bison.
> >
> >And then, there is written in bison.simple, lines 151 and above :
> >
> >/* Prevent warning if -Wstrict-prototypes. */
> >#ifdef __GNUC__
> >int yyparse( void );
> >#endif
> >
> >Instead of (I think...):
> >
> >/* Prevent warning if -Wstrict-prototypes. */
> >#ifdef __GNUC__
> >#ifdef YYPARSE_PARAM
> >int yyparse( void *);
> >#else
> >int yyparse( void );
> >#endif
> >#endif
> >
> >That'all...
> >What're you thinking about ?
> 
> 
> 
> Does it work with the current release (1.1.8)?  B20 is as old as the 
> hills...
> 
	Indeed, it looks like correct. :))

I've got problems with that, but I don't know if it is exactly this part,
because the error message is strange to me (found bison.simple NOT in /usr/lib):
===
Note: The following compile may take a long time.
If it fails, re-run configure with --with-low-memory
g++ -DMYSQL_SERVER -DDEFAULT_MYSQL_HOME="\"/usr/local\"" -DDATADIR="\"/usr/local/var\"" -DSHAREDIR="\"/usr/local/share/mysql\"" -DHAVE_CONFIG_H -
I./../include -I./../regex -I. -I../include -I.. -I. -O3 -DDBUG_OFF -fno-implicit-templates -c sql_yacc.cc
/usr/lib/bison.simple: In function `int yyparse()':
/usr/lib/bison.simple:761: Internal compiler error.
/usr/lib/bison.simple:761: Please submit a full bug report.
/usr/lib/bison.simple:761: See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make[3]: *** [sql_yacc.o] Error 1
make[3]: Leaving directory `/usr/src/CAMP~/mysql-3.23.37-gph/sql'
make[2]: *** [all-recursive] Error 1
      0 [main] make 211 open_stackdumpfile: Dumping stack trace to make.exe.stackdump
Signal 11
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/CAMP~/mysql-3.23.37-gph'
make: *** [all-recursive-am] Error 2
===

-gph

-- 
Gerrit P. Haase

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple